import request from '@/utils/request';
import type { ApiResult } from '@/api/index';
import {OrderDelivery} from "@/api/shop/orderDelivery/model";


/**
 * 添加
 */
export async function addOrderDelivery(data: OrderDelivery) {
  const res = await request.post<ApiResult<unknown>>(
    '/shop/order-delivery',
    data
  );
  if (res.code === 0) {
    return res.message;
  }
  return Promise.reject(new Error(res.message));
}
